package ru.dbotthepony.kstarbound.world.terrain

import ru.dbotthepony.kstarbound.defs.world.TerrainSelectorParameters
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

class ConstantTerrainSelector(data: Data, parameters: TerrainSelectorParameters) : AbstractTerrainSelector<ConstantTerrainSelector.Data>(data, parameters) {
	@JsonFactory
	data class Data(val value: Double)

	override val type: TerrainSelectorType
		get() = TerrainSelectorType.CONSTANT

	override fun get(x: Int, y: Int): Double {
		return data.value
	}
}
